﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 654C: (1 yr) VER IEEE /5800A+TDP
DATE:                  2017-02-22 13:39:54
AUTHOR:                Fluke
REVISION:              $Revision: 18374 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       249
CONFIGURATION:         Fluke 5800A
STANDARD:              Fluke 5800A/TDP
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5800         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  STD          Fluke 5800A/TDP

  1.005  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

# Verify MET/CAL version compatibility.
  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.010  DISP         or later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         UUT IDENTIFICATION
  1.019  TARGET
  1.020  CALL         Sub TDS500/600/700 Setup IEEE
  1.021  IEEE2        *RST;DESE 61
  1.022  WAIT         -t 4 System Initializing ...

  1.023  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.024  MATH         @UUT_Model        = "TDS 654C"
  1.025  MATH         @UUT_AssetNum     = UUT()

  1.026  IF           NOT(EMPTY(@UUT_AssetNum))
  1.027  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.028  ENDIF

  1.029  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.030  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.031  JMPL         END                          @Abort

  1.032  HEAD         EQUIPMENT REQUIREMENTS
  1.033  OPBR         -z Do you want to REVIEW the list of additional
  1.033  OPBR         equipment and/or accessories required?

  1.034  IF           MEM1
  1.035  DISP         The following additional equipment and/or accessories
  1.035  DISP         are required:
  1.035  DISP
  1.035  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.035  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.035  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.035  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.035  DISP         - Dual Input Coupler (BNC)
  1.035  DISP         - 50 Ohm Feedthrough (BNC)
  1.036  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.037  CALL         Sub TDS600C Specifications
  1.038  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.039  JMPL         END                          @Abort
  1.040  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.041  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.042  MATH         @SourceChanNum = 1

# Specify channel to test.
  1.043  MATH         @Chan = 1
  1.044  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.045  MATH         @Chan = 2
  1.046  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.047  MATH         @Chan = 3
  1.048  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.049  MATH         @Chan = 4
  1.050  CALL         Sub TDS600C (1 yr) DC Offset IEEE

  1.051  MATH         @Chan = 1
  1.052  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800
  1.053  JMPL         BANDWIDTH_CH1

  1.054  LABEL        DCV_ACC_CH2
  1.055  MATH         @Chan = 2
  1.056  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800
  1.057  JMPL         BANDWIDTH_CH2

  1.058  LABEL        DCV_ACC_CH3
  1.059  MATH         @Chan = 3
  1.060  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800
  1.061  JMPL         BANDWIDTH_CH3

  1.062  LABEL        DCV_ACC_CH4
  1.063  MATH         @Chan = 4
  1.064  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800
  1.065  JMPL         BANDWIDTH_CH4

  1.066  LABEL        BANDWIDTH_CH1
  1.067  MATH         @Chan = 1
  1.068  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800
  1.069  JMPL         TIMEBASE_TRIGGER

  1.070  LABEL        BANDWIDTH_CH2
  1.071  MATH         @Chan = 2
  1.072  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800
  1.073  JMPL         TRIG_SENS_CH2

  1.074  LABEL        BANDWIDTH_CH3
  1.075  MATH         @Chan = 3
  1.076  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800
  1.077  JMPL         TRIG_SENS_CH3

  1.078  LABEL        BANDWIDTH_CH4
  1.079  MATH         @Chan = 4
  1.080  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800
  1.081  JMPL         TRIG_SENS_CH4

  1.082  LABEL        DELAY_MATCH
  1.083  MATH         @Chan = 1
  1.084  CALL         Sub TDS600C (1 yr) Delay Match IEEE /5800
  1.085  JMPL         OUTPUT_SIGNAL

  1.086  LABEL        TIMEBASE_TRIGGER
  1.087  MATH         @Chan = 1
  1.088  CALL         Sub TDS600C (1 yr) Time Base IEEE /5800
  1.089  JMPL         TRIG_TIME_ACC

  1.090  LABEL        DELTA_TIME
  1.091  MATH         @Chan = 1
  1.092  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5800+TDP
  1.093  MATH         @Chan = 2
  1.094  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5800+TDP
  1.095  MATH         @Chan = 3
  1.096  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5800+TDP
  1.097  MATH         @Chan = 4
  1.098  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5800+TDP
  1.099  JMPL         END

  1.100  LABEL        TRIG_TIME_ACC
  1.101  CALL         Sub TDS600C (1 yr) Trig Time Acc IEEE /5800
  1.102  CALL         Sub TDS600C (1 yr) Sens IEEE /5800
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.103  OPBR         -z Each channel trig sensitivity test will take about
  1.103  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.103  OPBR         channels to save time, unless desired.
  1.103  OPBR
  1.103  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.103  OPBR         3, and 4?
  1.104  MATH         @TestCh234Sens = MEM1

  1.105  MATH         @Chan = 1
  1.106  CALL         Sub TDS600C (1 yr) Aux Trig In Sens IEEE /5800
  1.107  JMPL         DCV_ACC_CH2

  1.108  LABEL        TRIG_SENS_CH2

  1.109  IF           @TestCh234Sens
  1.110  MATH         @Chan = 2
  1.111  CALL         Sub TDS600C (1 yr) Sens IEEE /5800
  1.112  ENDIF

  1.113  JMPL         DCV_ACC_CH3

  1.114  LABEL        TRIG_SENS_CH3

  1.115  IF           @TestCh234Sens
  1.116  MATH         @Chan = 3
  1.117  CALL         Sub TDS600C (1 yr) Sens IEEE /5800
  1.118  ENDIF

  1.119  JMPL         DCV_ACC_CH4

  1.120  LABEL        TRIG_SENS_CH4

  1.121  IF           @TestCh234Sens
  1.122  MATH         @Chan = 4
  1.123  CALL         Sub TDS600C (1 yr) Sens IEEE /5800
  1.124  ENDIF

  1.125  JMPL         DELAY_MATCH

  1.126  LABEL        OUTPUT_SIGNAL
  1.127  CALL         Sub TDS600C (1 yr) Output Signal IEEE /5800
  1.128  CALL         Sub TDS600C (1 yr) Probe Comp IEEE /5800
  1.129  JMPL         DELTA_TIME

  1.130  LABEL        END
  1.131  IEEE2        *RST;DESE 61

  1.132  IF           @Abort
  1.133  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.134  ENDIF

  1.135  END
